config:
  general:
    COLLECTION: COLLECTION
    CPL_VSIL_CURL_ALLOWED_EXTENSIONS: .TIF,.tif,.xml
    GDAL_DISABLE_READDIR_ON_OPEN: "TRUE"
    COLLECT_STATIC: "false"
  database:
    DB_HOST: database
    DB_NAME: dbname
    DB_PORT: "5432"
    DB_PW: dbpw
    DB_USER: dbuser
    POSTGRES_DB: dbname
    POSTGRES_PASSWORD: dbpw
    POSTGRES_USER: dbuser
  django:
    DJANGO_MAIL: office@eox.at
    DJANGO_PASSWORD: djangopw
    DJANGO_USER: djangouser
  objectStorage:
    download:
      OS_AUTH_URL_DOWNLOAD: https://auth.cloud.ovh.net/
      OS_PASSWORD_DOWNLOAD: ospw
      OS_REGION_NAME_DOWNLOAD: SERCO-DIAS1
      OS_TENANT_ID_DOWNLOAD: tenantid
      OS_TENANT_NAME_DOWNLOAD: "tenantname"
      OS_USERNAME_DOWNLOAD: osuser
      ST_AUTH_VERSION_DOWNLOAD: "3"
    data:
      OS_AUTH_URL: https://auth.cloud.ovh.net/v3/
      OS_AUTH_URL_SHORT: https://auth.cloud.ovh.net/
      OS_PASSWORD: ospw
      OS_REGION_NAME: SERCO-DIAS1
      OS_TENANT_ID: tenantid
      OS_TENANT_NAME: "tenantname"
      OS_USER_DOMAIN_NAME: default
      OS_USERNAME: osuser
      ST_AUTH_VERSION: "3"
    cache:
      S3_BUCKET: s3bucket
      S3_ID: s3id
      S3_SECRET: s3secret
      S3_REGION: eu-central-1
  preprocessing:
    UPLOAD_CONTAINER: container
    ENFORCE_FOUR_BANDS: "True"
    SPLIT_PARTS_CHECK: "False"
  redis:
    REDIS_HOST: redis
    REDIS_PORT: "6379"
    REDIS_PREPROCESS_QUEUE_KEY: preprocess_queue
    REDIS_QUEUE_KEY: seed_queue
    REDIS_REGISTER_QUEUE_KEY: register_queue
    REDIS_REGISTERED_SET_KEY: registered_set
    REDIS_SEED_QUEUE_KEY: seed_queue
    REDIS_SET_KEY: registered_set

database:
  persistence:
    enabled: false
    # existingClaim: eoepca-rm-db-pvc
  postgresqlUsername: dbuser
  postgresqlPassword: dbpw
  postgresqlDatabase: dbname
  postgresqlPostgresPassword: dbpgpw
  initdbScripts:
    enablePostgis.sh: |
      echo "Enabling postgis"
      PGPASSWORD="$POSTGRES_POSTGRES_PASSWORD" psql -U postgres -d "${POSTGRES_DB}" -c "CREATE EXTENSION postgis;"

renderer:
  replicaCount: 1
  resources:
    limits:
      cpu: 1.5
      memory: 6Gi
    requests:
      cpu: 0.5
      memory: 2Gi
  affinity: {}

replicaCount: 1

image:
  repository: registry.gitlab.eox.at/esa/prism/vs
  pullPolicy: IfNotPresent
  tag: ""

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

service:
  type: ClusterIP
  port: 80

ingress:
  annotations:
    kubernetes.io/ingress.class: nginx
    kubernetes.io/tls-acme: "true"
    nginx.ingress.kubernetes.io/proxy-read-timeout: "600"
    nginx.ingress.kubernetes.io/enable-cors: "true"
  hosts:
    - host: vs.local
  tls:
    - hosts:
        - vs.local
      secretName: vs-secret

affinity: {}
